#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

## Simple replacements
my $string = "Memo:\tBob Smith would like to resign\n";

$string =~ s/\t/    /;

$string =~ s/Bob/Robert/;

print $string;

## Looping finds / replaces
$string = "Bob Smith would like to retract his resignation.  Bob thinks it's great here\n";

$string =~ s/Bob/Robert/g;

print $string;

$string = "Why gosh that gosh darned flipping thing!";
my $count = 0;
while ($string =~ /(gosh|darn|flip)/g) {
	++$count;
}

print "You said $count naughty words\n";


## Finding a match location

$string = "012X456X89X";
while ($string =~ /X/g) {
	print "Found match at position ",pos($string),"\n";
}

## Overlapping search
$string = "bobobobobob";
while ($string =~ /bob/g) {
	print "Found bob at position ",pos($string),"\n";
	pos($string) -= (length("bob") - 1); 
}

