#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

open (my $in,"driverquery |") or die "Can't open pipe to driverquery: $!";

while (<$in>) {
	chomp;
	next unless $_;
	my $name = substr($_,0,11);
	my $type = substr($_,36,12);
	
	# Trim any trailing whitespace
	$name =~ s/\s+$//;
	$type =~ s/\s+$//;
	
	print "$name\t$type\n" if $type eq 'File System';
	
}
